Posting in the Magento forums has been disabled pending the implementation of a new and improved forum solution which should better serve the community.

For new questions please post at magento.stackexchange.com, the community-run support site for the Magento community. We will be providing updates on the new forum solution soon. For questions or concerns please email community@magento.com.

Magento Forum

Mage_Core_Exception
 
Zinner
Sr. Member
 
Avatar
Total Posts:  77
Joined:  2007-11-16
Germany
 

Hi Folks,

I always receive this error msg when I try to install magento. I use a fresh install and can start the configuration of the zone and currency. after that I get to the screen where I can enter the details of the database. There I click continue and get this message:

exception 'Mage_Core_Exception' with message 'Error in file: "/homepages/46/d51023763/htdocs/hausmeister/magento/app/code/core/Mage/Customer/sql/customer_setup/mysql4-install-0.7.0.php" - Wrong entity ID' in /homepages/46/d51023763/htdocs/hausmeister/magento/app/Mage.php:329

I use a managed 1und1 server with PHP5 via .htaccess.

The only thing that I recognize is that the available mysql database is a version 4

Could that be the problem ?

 
Magento Community Magento Community
Magento Community
Magento Community
 
Moshe
Magento Team
 
Avatar
Total Posts:  1770
Joined:  2007-08-07
Los Angeles
 

Please create and use Mysql 5 database

 
Magento Community Magento Community
Magento Community
Magento Community
 
Zinner
Sr. Member
 
Avatar
Total Posts:  77
Joined:  2007-11-16
Germany
 

Hi Moshe,

tahnks for the fast reply.

Hmm, thats sad..1und1 Managed Server do not support MySql 5 atm.

Then I have to wait.

Regards

 
Magento Community Magento Community
Magento Community
Magento Community
 
Moshe
Magento Team
 
Avatar
Total Posts:  1770
Joined:  2007-08-07
Los Angeles
 

That’s weird, because 1and1 basic account have a choice between mysql 4.0 and 5.0 databases.

Magento’s requirement is 4.1, so if you can have this, it’s good too.

 
Magento Community Magento Community
Magento Community
Magento Community
 
Zinner
Sr. Member
 
Avatar
Total Posts:  77
Joined:  2007-11-16
Germany
 

Hi,

I just contacted the technical support and they explained that the basic accounts use external databases that are not on the same system. So if the user wants to use a mysql5 DB then the DB is created on another system then the mysql4 one.

The problem is that the mangaged servers have the DB on the same system and therefore they have to change the complete mysql program. Atm they are in a testing phase but they cannot give me any informations about the end of this testing period. The solution that they told me is to rent another seperatly webpackage with DB included and use this one for my application.

Atm there is only 4.0.25-standard installed :(

Regards

 
Magento Community Magento Community
Magento Community
Magento Community
Magento Community
Magento Community
Back to top